Bug 999106 - When performing a kickstart with static ip parameters on a network with no dhcp, anaconda hangs looking for dhcp
When performing a kickstart with static ip parameters on a network with no dh...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
:
Depends On:
Blocks: 1075802 1159928
  Show dependency treegraph
 
Reported: 2013-08-20 14:23 EDT by BJ Walker
Modified: 2015-02-26 13:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-26 13:05:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description BJ Walker 2013-08-20 14:23:15 EDT
Description of problem:
When attempting to kickstart an installation with RHEL 6.4 on subnets without DHCP servers on them, and the following parameters passed on the kernel line (as well as the static ip information set in the kickstart file) the installation hangs searching for DHCP information and never prompts to put in networking manually:

vmlinuz initrd=initrd.img ip=X.X.X.X netmask=X.X.X.X gateway=X.X.X.X dns=X.X.X.X

The line in the kickstart is specified as:

network --device=eth0 --onboot yes --bootproto=static ip=172.26.6.152 netmask=255.255.255.0 gateway=172.26.6.1 --noipv6

When modifying the line to look like the following there are no issues:

network --device=eth0 --onboot=yes --ip=172.26.6.152 --netmask=255.255.255.0 --gateway=172.26.6.1 --noipv6

So certainly the correct syntax is using the '--' however without them perhaps a timeout could be added for how long DHCP is requested before it times out and prompts for networking parameters to be checked/passed.

Version-Release number of selected component (if applicable):
anaconda-13.21.195-1.el6

How reproducible:
Everytime

Steps to Reproduce:
Seen above

Actual results:
Eternal hanging waiting for DHCP request to be fulfilled

Expected results:
Eventually Anaconda stops and prompts for networking information to be repopulated manually
Comment 2 RHEL Product and Program Management 2013-10-13 22:38:35 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Martin Kolman 2015-02-26 13:05:54 EST
I don't really see this as a bug - the RHEL6 kickstart documentation[0] clearly says that the correct form of the IP address argument is "--ip". Any other forms, such as "ip", are not supported and can cause undefined behavior, such as the issue you are seeing.

[0] https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Installation_Guide/s1-kickstart2-options.html

Note You need to log in before you can comment on or make changes to this bug.